Subject: Re: Capital/upper case B doesn't register in either cygwin bash prompt, rxvt bash prompt, or ssh client bash prompt
From: [email-masked] (Eric Blake)
To: [email-masked]
Date: Wed, 16 Nov 2005 14:56:18 +0000

> Now, interestingly enough, a lone 'B' in .inputrc doesn't produce any key
> binding that could be found in the "bind" output (with all the flags I
> tried).  How would I figure out that 'B' is bound to "nothing", but bound
> nonetheless[*]?

bind -p lists all bindings, and every character that does not do a
special function should at least do self-insert.  If a key combination
is not bound, then it will not show up in bind -p.  Therefore, the
fact that bind -p | grep '"B"' failed to produce output is a good
indication that 'B' is not bound, and it can be rectified by:
bind B:self-insert
(where you use the key sequence [ctrl-v][shift-B] to actually
put B in the command line). 

> 	Igor
> P.S. This is a non-Cygwin-specific readline question, and perhaps
> off-topic for this list.

True, but I couldn't resist answering.

--
Eric Blake
volunteer cygwin readline maintainer

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/